{# This means your page inherit from an existing template, it will already contains some html and allow to override what's inside the "blocks" #}
{% extends 'base.html.twig' %}

{% block stylesheets %}
    {# Any extra CSS for your page #}
{% endblock %}

{% block javascripts %}
    {# Any extra JS for your page #}
{% endblock %}

{% block title %}
- User {{ user.displayName }}
{% endblock %}

{% set isOwner = user == app.user %}

{% block content %}
    <div id="msg">
    </div>
    <h1 class="emc2"> {{ user.displayName }} -
        <img alt="Classement" src="{{ asset('img/gfx/gui/ranking.gif') }}" title="Classement">
        #NYI ({{ user.points }} pts) &nbsp;
        {# Friend system
        <a href="/friend/add?id=489728" class="icon" onmouseover="showTip(this,'Mes amis', 'Ajouter à votre liste d\'amis ?');" onmouseout="hideTip()"><img class="icon" alt="icon friend dinocard" src="http://data.dinocard.net/gfx/icons/friend_add.gif"></a>
        #}
    </h1>

    {# Message System
    &nbsp;<a href="/mail/view?id=489728" class="button">Envoyer un message privé </a>
    #}
    {# Trade System
    &nbsp;<a href="/exchange/new?id=489728" class="button">Initier un nouvel échange</a>
    #}
    <div class="packArena">
        <div class="avatar">
            <div id="av867618"></div>
            <script type="text/javascript">
                //<![CDATA[
                {#
                var swf = new SWFObject('http://data.dinocard.net/swf/portrait.swf', 'game', 60, 84, 7, 'FFFFFF');
                swf.addVariable('url', 'http://data.dinocard.net/swf/avatar.swf');
                swf.addVariable('face', '4;0;5;10;1;0');
                swf.addVariable('flip', '2');
                swf.addParam('wmode', 'transparent');
                swf.addParam('menu', 'false');
                swf.write("av867618");
                //]]>
                #}
            </script>
        </div>

        {% for deck in user.decks %}
            <div class="pack">
                <div class="topBox">
                    <div class="levelBox">{{ deck.level }}</div>

                    <div class="packName">
                        <span class="packName"
                              onmouseover="showTip(this,'Deck', 'Voir le deck : {{ deck.name }}');"
                              onmouseout="hideTip()">
                            <a href="{{ path('showDeck', {'id' : deck.id })}}">{{ deck.name }}</a>
                        </span>
                        de
                        <span class="userName">
                            <a>{{ user.displayName }}</a>
                        </span>
                        <span>
                        </span>
                    </div>

                    <div class="packElements">
                        <img class="icon" alt="icon"
                             src="{{ asset('img/gfx/icons/element_unknown.gif') }}"
                             onmouseover="showTip(this,'Eléments inconnus', 'Vous ne pouvez pas encore voir les éléments majeurs de ce pack. Augmentez la compétence <b>Stratégie</b> de votre pack pour connaître les éléments joués par vos adversaires !');"
                             onmouseout="hideTip()">
                    </div>
                </div>

                <div class="leftBox">
                    <div class="victoryBox clickable"
                         onmouseover="showTip(this,'Pourcentage de victoire', 'Vous ne pouvez pas encore voir le pourcentage de victoire de ce pack. Augmentez votre compétence <b>Stratégie</b> pour cela.');"
                         onmouseout="hideTip()">
                        Victoire : ???
                        <div class="xpBorder">
                            <div class="xpBar" style="width : 0%;"></div>
                        </div>
                    </div>
                </div>

                <div class="middleBox">
                    <p class="smallTxt">
                    </p>
                </div>

                <div class="rightBox">
                    <div class="skillBox">
                        <span class="clickable"
                              onmouseover="showTip(this,'Points de vie', 'Vous ne pouvez pas encore voir les points de vie de ce pack. Augmentez votre compétence <b>Stratégie</b> pour cela.');"
                              onmouseout="hideTip()">
                            ?
                        </span>
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>

    {# TODO player collection (not used)
    <a name="cards"></a>

    <div id="folderBox">
        <ul class="folders">
            <li class="active" id="folder1" onmouseover="showTip(this,'Echanges', 'Voir les cartes que le joueur propose à l\'échange.');" onmouseout="hideTip()">Echanges</li>
            <li class="disable" id="folder2" onmouseover="showTip(this,'Recherche', 'Voir les cartes que le joueur cherche à obtenir.');" onmouseout="hideTip()"><a href="/user/info?id=489728&amp;show=wanted">Recherche </a></li>
        </ul>
        <div id="boxContainer">
            <div id="filter">
                <form name="ffilter" id="ffilter" method="post" action="/user/info?id=489728#cards">
                    <input name="if" type="hidden" id="if" value="y">
                    <input name="id" type="hidden" id="id" value="489728">
                    <input name="reset" type="hidden" id="reset" value="">
                    <input name="sort" type="hidden" id="sort" value="element">
                    <input name="desc" type="hidden" id="desc" value="t">
                    <dl class="typeFilter">
                        <dt>Type </dt>
                        <dd>
                            <input name="dinoz" type="hidden" id="Dinoz" value="">
                            <a href="javascript:filterColSwap('Dinoz', '');" class="buttonDinoz" id="aDinoz" title="cartes dinoz"><span>dinoz</span></a>

                            <input name="spell" type="hidden" id="Spell" value="">
                            <a href="javascript:filterColSwap('Spell', '');" class="buttonSpell" id="aSpell" title="cartes incantations"><span>spell</span></a>

                            <input name="charm" type="hidden" id="Charm" value="">
                            <a href="javascript:filterColSwap('Charm', '');" class="buttonCharm" id="aCharm" title="cartes enchantements"><span>charm</span></a>

                            <input name="object" type="hidden" id="Object" value="">
                            <a href="javascript:filterColSwap('Object', '');" class="buttonObject" id="aObject" title="cartes objets magiques"><span>object</span></a>
                        </dd>
                    </dl>

                    <dl class="typeElement">
                        <dt>Elément </dt>
                        <dd>
                            <input name="fire" type="hidden" id="Fire" value="">
                            <a href="javascript:filterColSwap('Fire', '');" class="buttonFire" id="aFire" title="cartes feu"><span>fire</span></a>

                            <input name="water" type="hidden" id="Water" value="">
                            <a href="javascript:filterColSwap('Water', '');" class="buttonWater" id="aWater" title="cartes eau"><span>water</span></a>

                            <input name="wood" type="hidden" id="Wood" value="">
                            <a href="javascript:filterColSwap('Wood', ''); " class="buttonWood" id="aWood" title="cartes bois"><span>wood</span></a>

                            <input name="thunder" type="hidden" id="Thunder" value="">
                            <a href="javascript:filterColSwap('Thunder', ''); " class="buttonThunder" id="aThunder" title="cartes foudre"><span>thunder</span></a>

                            <input name="sky" type="hidden" id="Sky" value="">
                            <a href="javascript:filterColSwap('Sky', '');" class="buttonSky" id="aSky" title="cartes ciel"><span>sky</span></a>

                        </dd>
                    </dl>

                    <dl class="typeRarete">
                        <dt>Rareté </dt>
                        <dd>
                            <input name="common" type="hidden" id="Common" value="">
                            <a href="javascript:filterColSwap('Common', ''); " class="buttonCommon" id="aCommon" title="cartes communes"><span>common</span></a>

                            <input name="unco" type="hidden" id="Uncommon" value="">
                            <a href="javascript:filterColSwap('Uncommon', '');" class="buttonUncommon" id="aUncommon" title="cartes inhabituelles"><span>unco</span></a>

                            <input name="rare" type="hidden" id="Rare" value="">
                            <a href="javascript:filterColSwap('Rare', '');" class="buttonRare" id="aRare" title="cartes rares"><span>rare</span></a>
                        </dd>
                    </dl>

                    <dl class="typeEdition">
                        <dt>Edition </dt>
                        <dd>
                            <select name="ed" id="ed">
                                <option selected="selected" value="a">toutes</option>

                                <option value="1">Première édition</option>

                                <option value="2">Les portes d'Archélie</option>

                            </select>
                        </dd>
                    </dl>

                    <dl class="typeSearch">
                        <dt>Recherche </dt>
                        <dd><input name="search" type="text" id="search" value=""></dd>
                    </dl>
                    <dl class="filterButton">
                        <dt>&nbsp; </dt>
                        <dd>
                            <a href="javascript:document.getElementById('ffilter').submit();" class="button" onmouseover="showTip(this,'Filtrer', 'Applique les filtres sélectionnés.');" onmouseout="hideTip()">Filtrer</a>
                            <a href="javascript:resetInfo() ;" class="button" onmouseover="showTip(this,'Reset', 'Remise à zéro des filtres.<br />Affiche à nouveau toutes les cartes');" onmouseout="hideTip()">Reset</a>
                        </dd>

                    </dl>
                </form>
            </div>

            <div id="cardCollection">

            </div>

        </div>
    </div>
    #}
{% endblock %}